Black Berry Curve 8520 OS

Asked By 0 points N/A Posted on -
qa-featured

Hi friends,

I recently purchased a BlackBerry Curve 8520.In internet i saw that the OS 6 was released with the 9300 model curve. Given that both models are very much alike, I wanted to know, if I could find this and update it on my mobile?

If so, how to do the installation?

Thank you in advance.

SHARE
Answered By 0 points N/A #79664

Black Berry Curve 8520 OS

qa-featured

Hi Nicholas,

Unfortunately, your BlackBerry Curve 8520 cannot be upgraded to OS 6.  I understand that 8520 has a lot of similar properties to that of the 9300 model but there’s one very significant difference between these two that would consequently be the primary reason as to why your 8520 would not be compatible with BlackBerry OS6 — 3G capabilities.  Yes, Curve 9300 offers 3G technology whereas the Curve 8520 only uses the 2G technology.

Aside from the 2G-3G difference, there have been no other official reports as to why OS6 would not be compatible with your Curve 8520.  But according to the current information provided by Research In Motion (RIM), the 8520 will not support (and cannot support) OS6.

Answered By 579725 points N/A #316596

Black Berry Curve 8520 OS

qa-featured

If you want to know if you can update your BlackBerry phone to that BlackBerry OS version, you can use the BlackBerry Desktop Software for that as well as install the update. The BlackBerry software is in two versions: the BlackBerry Desktop Software and the BlackBerry Link.

If you have a BlackBerry Smartphone that runs on BlackBerry 7.1 OS or earlier, you need to download the BlackBerry Desktop Software. It supports Windows XP, Windows Vista, and Windows 7. Windows 8.x and Windows 10 are not supported. For Mac users, you can download the BlackBerry Desktop Software for Mac.

If your BlackBerry Smartphone runs on BlackBerry 10 OS, you need to download the BlackBerry Link. It supports Windows XP Service Pack 3, Windows Vista, Windows 7, and Windows 8.x. Windows 10 is not supported. It requires Microsoft .NET Framework 3.5 Service Pack 1 so make sure to install it first before installing BlackBerry Link.

Login/Register to Answer

Related Questions